Quassel IRC - Bug #483

Right click opens new browser(tab)
01/14/2009 02:21 PM - pennywise

Status: Closed Start date: 01/14/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Any
Description

I know someone mentioned this in #quassel, but | didn't found a corresponding bug. So forgive me if it's a duplicate.

When you're in a channel and someone paste a link, you can simply click on it to go to that webpage. But on my git-quassel (0.3.1
+215 http:/git.quassel-irc.org/?p=quassel.git;a=commit;h=12088be1ee7c16faf52a39ab2b6e01a6ec7bfebb) after clicking on that link,
going back to quassel, rightclick somewhere in the chatbuffer, the page opens again (and again if you rightclick again). This does not
happen, if you didn't click a link in that channel.

So, here are the steps to reproduce

1) click on an url

2) go back to quassel (cause browser is stealing focus)
3) right click into chatbuffer

History

#1 - 01/14/2009 02:24 PM - pennywise
Addionally info:

the context menu which is brought to you by the right click is now "on top" of the browser. If you actually choose something in that context menu than
that right click bug is gone until you click again on an url.

#2 - 01/14/2009 03:19 PM - pennywise
Ok, next hint:

1) Click on a link in quassel

2) switch focus back to quassel (I click on the windows taskbar)

3) the contextmenu is now on top of quassel (was on top of browser)

4a) If you press ESC you're fine

4b) If you left/rightclick on somewhere in the chatwindow (NOT on the contextmenu) the clicked link is opened again
4ba) If you keep rightclicking for each click a new tab is opened

4bb) If you leftclick (either choose something out of the contextmenu or click on quassel) you're good again

#3 - 01/15/2009 11:18 PM - Sputnick
- Status changed from New to Feedback

- Assignee set to Sputnick

Possible fix is in git (<http:/qi
that helps.

;). please test and see if

#4 - 01/15/2009 11:22 PM - pennywise

looks good. can't reproduce it now. will try it tomorrow again at work, there was the client with the issue.

#5 - 01/15/2009 11:43 PM - Sputnick
- Status changed from Feedback to Closed
- Target version set to 0.4.0

- % Done changed from 0 to 100

Got feedback from several users that this commit indeed fixes the issue, so I'm closing this bug.
